## e17 0.22.1

=== meson_options.txt ===
option('install-sysactions',
	type: 'boolean',
	value: true,
	description: 'install /etc/enlightenment/sysactions.conf: (default=true)')
option('install-enlightenment-menu',
	type: 'boolean',
	value: true,
	description: 'install /etc/xdg/menus/e-applications.menu: (default=true)')
option('files',
	type: 'boolean',
	value: true,
	description: 'enable Files menu item: (default=true)')
option('nls',
	type: 'boolean',
	value: true,
	description: 'enable localization: (default=true)')

option('edje-cc',
       type       : 'string',
       description: 'A path to a edje_cc. Defaults to system edje_cc')

option('pam',
	type: 'boolean',
	value: true,
	description: 'enable PAM support: (default=true)')

option('device-udev',
	type: 'boolean',
	value: true,
	description: 'enable udev device backend: (default=true)')
option('mount-udisks',
	type: 'boolean',
	value: true,
	description: 'enable udisks mounting support: (default=true)')
option('mount-eeze',
	type: 'boolean',
	value: false,
	description: 'enable eeze mounting support: (default=false)')

option('wayland',
	type: 'boolean',
	value: false,
	description: 'enable wayland support: (default=false)')
option('xwayland',
	type: 'boolean',
	value: true,
	description: 'enable xwayland support: (default=true)')
option('xwayland-bin',
	type: 'string',
	value: '',
	description: 'set the path to Xwayland: (default=)')
option('wl-buffer',
	type: 'boolean',
	value: true,
	description: 'enable buffer wayland output: (default=true)')
option('wl-drm',
	type: 'boolean',
	value: true,
	description: 'enable drm wayland output: (default=true)')
option('wl-wl',
	type: 'boolean',
	value: true,
	description: 'enable nested wayland output: (default=true)')
option('wl-x11',
	type: 'boolean',
	value: true,
	description: 'enable x11 wayland output: (default=true)')
option('wl-desktop-shell',
	type: 'boolean',
	value: true,
	description: 'enable wayland desktop shell support: (default=true)')
option('wl-text-input',
	type: 'boolean',
	value: true,
	description: 'enable wayland vkbd support: (default=true)')
option('wl-weekeyboard',
	type: 'boolean',
	value: true,
	description: 'enable internal wayland vkbd: (default=true)')

option('systemd',
	type: 'boolean',
	value: true,
	description: 'enable systemd support: (default=true)')
option('systemdunitdir',
	type: 'string',
	value: '',
	description: 'path to systemd user services directory')

option('appmenu',
	type: 'boolean',
	value: true,
	description: 'enable appmenu module: (default=true)')
option('backlight',
	type: 'boolean',
	value: true,
	description: 'enable backlight module: (default=true)')
option('battery',
	type: 'boolean',
	value: true,
	description: 'enable battery module: (default=true)')
option('bluez4',
	type: 'boolean',
	value: true,
	description: 'enable bluez4 module: (default=true)')
option('clock',
	type: 'boolean',
	value: true,
	description: 'enable clock module: (default=true)')
option('connman',
	type: 'boolean',
	value: true,
	description: 'enable connman module: (default=true)')
option('cpufreq',
	type: 'boolean',
	value: true,
	description: 'enable cpufreq module: (default=true)')
option('everything',
	type: 'boolean',
	value: true,
	description: 'enable everything module: (default=true)')
option('fileman',
	type: 'boolean',
	value: true,
	description: 'enable fileman module: (default=true)')
option('fileman-opinfo',
	type: 'boolean',
	value: true,
	description: 'enable fileman-opinfo module: (default=true)')
option('gadman',
	type: 'boolean',
	value: true,
	description: 'enable gadman module: (default=true)')
option('geolocation',
	type: 'boolean',
	value: true,
	description: 'enable geolocation module: (default=true)')
option('ibar',
	type: 'boolean',
	value: true,
	description: 'enable ibar module: (default=true)')
option('ibox',
	type: 'boolean',
	value: true,
	description: 'enable ibox module: (default=true)')
option('lokker',
	type: 'boolean',
	value: true,
	description: 'enable lokker module: (default=true)')
option('luncher',
	type: 'boolean',
	value: true,
	description: 'enable luncher module: (default=true)')
option('mixer',
	type: 'boolean',
	value: true,
	description: 'enable mixer module: (default=true)')
option('msgbus',
	type: 'boolean',
	value: true,
	description: 'enable msgbus module: (default=true)')
option('music-control',
	type: 'boolean',
	value: true,
	description: 'enable music-control module: (default=true)')
option('notification',
	type: 'boolean',
	value: true,
	description: 'enable notification module: (default=true)')
option('packagekit',
	type: 'boolean',
	value: true,
	description: 'enable packagekit module: (default=true)')
option('pager',
	type: 'boolean',
	value: true,
	description: 'enable pager module: (default=true)')
option('pager-plain',
	type: 'boolean',
	value: true,
	description: 'enable pager_plain module: (default=true)')
option('quickaccess',
	type: 'boolean',
	value: true,
	description: 'enable quickaccess module: (default=true)')
option('start',
	type: 'boolean',
	value: true,
	description: 'enable start module: (default=true)')
option('shot',
	type: 'boolean',
	value: true,
	description: 'enable shot module: (default=true)')
option('syscon',
	type: 'boolean',
	value: true,
	description: 'enable syscon module: (default=true)')
option('sysinfo',
	type: 'boolean',
	value: true,
	description: 'enable sysinfo module: (default=true)')
option('systray',
	type: 'boolean',
	value: true,
	description: 'enable systray module: (default=true)')
option('tasks',
	type: 'boolean',
	value: true,
	description: 'enable tasks module: (default=true)')
option('teamwork',
	type: 'boolean',
	value: true,
	description: 'enable teamwork module: (default=true)')
option('temperature',
	type: 'boolean',
	value: true,
	description: 'enable temperature module: (default=true)')
option('tiling',
	type: 'boolean',
	value: true,
	description: 'enable tiling module: (default=true)')
option('time',
	type: 'boolean',
	value: true,
	description: 'enable time module: (default=true)')
option('winlist',
	type: 'boolean',
	value: true,
	description: 'enable winlist module: (default=true)')
option('wireless',
	type: 'boolean',
	value: true,
	description: 'enable wireless module: (default=true)')
option('wizard',
	type: 'boolean',
	value: true,
	description: 'enable wizard module: (default=true)')
option('xkbswitch',
	type: 'boolean',
	value: true,
	description: 'enable xkbswitch module: (default=true)')
option('vkbd',
	type: 'boolean',
	value: true,
	description: 'enable vkbd module: (default=true)')


option('conf',
	type: 'boolean',
	value: true,
	description: 'enable conf module: (default=true)')
option('conf-applications',
	type: 'boolean',
	value: true,
	description: 'enable conf-applications module: (default=true)')
option('conf-bindings',
	type: 'boolean',
	value: true,
	description: 'enable conf-bindings module: (default=true)')
option('conf-dialogs',
	type: 'boolean',
	value: true,
	description: 'enable conf-dialogs module: (default=true)')
option('conf-display',
	type: 'boolean',
	value: true,
	description: 'enable conf-display module: (default=true)')
option('conf-interaction',
	type: 'boolean',
	value: true,
	description: 'enable conf-interaction module: (default=true)')
option('conf-intl',
	type: 'boolean',
	value: true,
	description: 'enable conf-intl module: (default=true)')
option('conf-menus',
	type: 'boolean',
	value: true,
	description: 'enable conf-menus module: (default=true)')
option('conf-paths',
	type: 'boolean',
	value: true,
	description: 'enable conf-paths module: (default=true)')
option('conf-performance',
	type: 'boolean',
	value: true,
	description: 'enable conf-performance module: (default=true)')
option('conf-randr',
	type: 'boolean',
	value: true,
	description: 'enable conf-randr module: (default=true)')
option('conf-shelves',
	type: 'boolean',
	value: true,
	description: 'enable conf-shelves module: (default=true)')
option('conf-theme',
	type: 'boolean',
	value: true,
	description: 'enable conf-theme module: (default=true)')
option('conf-window-manipulation',
	type: 'boolean',
	value: true,
	description: 'enable conf-window-manipulation module: (default=true)')
option('conf-window-remembers',
	type: 'boolean',
	value: true,
	description: 'enable conf-window-remembers module: (default=true)')

## e17 0.16.999.49898

=== debian/changelog ===
e17 (0.16.999.49898-1) unstable; urgency=low

  * New upstream snapshot
    - Should fix FTBFS on Hurd (Closes: #535775)
  * Explicitly disable the connman module to work around autofoo bugs
  * Switch to '3.0 (quilt)' source format
  * Drop patches/02_fix_default_config_for_upgrades.diff, no longer
    relevant
  * Refresh patches/04_evry_fix_default_path_for_terminal.diff
  * debian/rules: update svn snapshot version extraction from
    configure.ac
  * Remove enlightenment_fm_open from e17, the binary no longer exists
  * Update e17.install with new modules
  * Bump Standards-Version, no change required
  * Remove Xavier Oswald from uploaders, he is no longer active
  * e17: add Depends: dbus-x11 so that enlightenment_remote works
    properly
  * upload makes e17 installable again (Closes: #590309)

 -- Albin Tonnerre <lutin@debian.org>  Tue, 27 Jul 2010 19:51:26 +0200

e17 (0.16.999.063-1) unstable; urgency=low

  * New upstream snapshot
  * Add new modules to the install files
  * Add debian/patches/04_evry_fix_default_path_for_terminal.diff:
    - Use /usr/bin/x-terminal-emulator instead of hardcoding xterm
  * Update my email address

 -- Albin Tonnerre <lutin@debian.org>  Sat, 05 Dec 2009 12:56:10 +0100

e17 (0.16.999.062-1) unstable; urgency=low

  * New upstream snapshot
  * Remove the 'System tools' entry in enlightenment-applications.menu, it's a
    duplicate of the 'Settings' entry
  * New patch 03_bind_XF86PowerOff_instead_of_Execute_in_illume.diff
    - In illume, the poweroff action is bound to the Execute key. As there's
      no such key in Debian, use XF86PowerOff instead (Closes: #538186)
  * Update Standards-Version to 3.8.3
  * Fix the short description for e17-dbg
  * remove DEB_DH_STRIP_ARGS from debian/rules, since CDBS computes the name
    of the debug package automatically

 -- Albin Tonnerre <albin.tonnerre@gmail.com>  Sat, 29 Aug 2009 21:41:31 +0200

e17 (0.16.999.061-2) unstable; urgency=low

  * Don't Build-Depend on libasound2-dev on non-linux architectures, fixing an
    FTBFS. Thanks to Cyril Brulebois. (Closes: #536103)
  * Move e17-dbg to the debug section
  * Remove ununsed override: possible-gpl-code-linked-with-openssl
  * Adjust the freqset binary path for the setuid-binary override

 -- Albin Tonnerre <albin.tonnerre@gmail.com>  Tue, 14 Jul 2009 21:16:57 +0200

e17 (0.16.999.061-1) unstable; urgency=low

  * New upstream snapshot
  * Drop 03_config_panel_category_list_is_not_an_ilist.diff, applied upstream
  * Add 01_menu_extra_path.patch:
    - Previously patched in efreet. Allows the use of an e17-provided fallback
      menu in case efreet doesn't find any.
  * Update to Standards-Version 3.8.2, no change required
  * Improve the e17-provided menu file, thanks Luca Capello (Closes: #532214)
  * Update e17 deps following the evas engines rename
  * Upload to unstable

 -- Albin Tonnerre <albin.tonnerre@gmail.com>  Wed, 24 Jun 2009 22:41:41 +0200

e17 (0.16.999.060-1) experimental; urgency=low

  * New upstream release
    - update e17.install to add wifiget, provided with the illume module
  * Bump Standards-Version, no change required.
  * Remove build-dep on libedje-bin, now useless as libedje-dev depends on it
  * Add debian/patches/03_config_panel_category_list_is_not_an_ilist.diff
    - Cherry-pick from SVN r40508, fixes a potential issue due to
      e_widget_ilist-related functions being called with an e_widget_toolbar as
      argument

 -- Albin Tonnerre <albin.tonnerre@gmail.com>  Thu, 07 May 2009 13:54:43 +0200

e17 (0.16.999.050+svn20090203-1) experimental; urgency=low

  [Albin Tonnerre]
  * New SVN snapshot
    - Remove some patches, applied upstream:
      + 01_install_internal-use_binaries_in_usr_lib_enlightenment.diff
      + 03_fix_src-bin-makefile.diff
      + 04_fix_e_fm_main_svn38418.diff
    - control: tighten builddeps and depends of efl-dev
    - Update dependency on libevas-engines
    - e17.install: install binaries located in usr/lib/enlightenment/utils
  * e17.install: Add missing illume dicts and keyboards (Closes: #513854)

  [Luca Capello]
  * debian/e17-data.install:
    - do not install documentation duplicates (Closes: #513850)
  * debian/e17.lintian-overrides.in:
    - Add override for 'image-file-in-usr-lib' for illume keyboard images

 -- Albin Tonnerre <albin.tonnerre@gmail.com>  Sat, 07 Feb 2009 10:29:53 +0100

e17 (0.16.999.050+svn20081207-2) experimental; urgency=low

  * Update dependencies for new packages names

 -- Albin Tonnerre <albin.tonnerre@gmail.com>  Tue, 06 Jan 2009 21:08:29 +0100

e17 (0.16.999.050+svn20081207-1) experimental; urgency=low

  * Upstream SVN snapshot
    - build-depend and make efl-dev depend on libeina-0.0.1a-dev
  * Update {build,}dependencies to match the new EFL packages name
  * Ship enlightenment.pc instead of enlightenment-config, as the latter is
    now deprecated (Closes: #504293)
  * Build-Depend on libasound2-dev to get the mixer module working
    - Closes: #506847
  * Make e17 depend on libedje-bin as this is necessary for e.g. changing the
    background.
  * No longer remove the wizard module from the package, as it is now usable
  * Add debian/patches/02_fix_default_config_for_upgrades.diff:
    - Add buttons for halt/shutdown/etc to the syscon module for the default
      profile. Without that, users upgrading from older versions would have an
      empty 'system' menu
  * debian/patches/{03_fix_src-bin-makefile,04_fix_e_fm_main_svn38418}.diff:
    - Cherry-pick patches from SVN to fix the file manager operations when it
     is installed in /usr/lib/enlightenment
  * debian/patches/01_install_internal-use_binaries_in_usr_lib_enlightenment.diff:
    - update, as a new binary going in /usr/lib/enlightenment was introduced
  * lintian fixes:
    - add ${misc:Depends} to dependencies
    - remove e17-data.lintian-overrides, no longer needed
    - Add overrides about setuid root programs to e17.lintian-overrides.in


=== debian/control ===
Source: e17
Section: x11
Priority: optional
Maintainer:  Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>
Uploaders: Albin Tonnerre <lutin@debian.org>,
 Jan Lübbe <jluebbe@debian.org>
Build-Depends: debhelper (>= 6), cdbs, libeet-dev (>= 1.0.1),
 libedje-dev (>= 0.9.93.49898), libefreet-dev (>= 0.5.0.49898),
 libecore-dev (>= 0.9.9.49898), libedbus-dev (>= 0.5.0.49898),
 libevas-dev (>= 0.9.9.49898), libeina-dev (>= 0.9.9.49898),
 libasound2-dev [!kfreebsd-amd64 !kfreebsd-i386 !hurd-i386], libxext-dev, libeet-bin, libpam0g-dev
Standards-Version: 3.9.1
Vcs-Git: git://git.debian.org/pkg-e/apps/e.git
Vcs-Browser: http://git.debian.org/?p=pkg-e/apps/e.git
Homepage: http://www.enlightenment.org

Package: e17
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, e17-data (= ${source:Version}),
 libevas-svn-06-engine-software-x11, libedje-bin, dbus-x11
Conflicts: enlightenment
Provides: x-window-manager
Description: The Enlightenment DR17 Window Manager
 Enlightenment is an advanced window manager for X11. Unique
 features include: a fully animated background, nice drop shadows
 around windows, backed by an extremely clean and optimized
 foundation of APIs.
 .
 This package contains the core files for Enlightenment DR17.

Package: e17-data
Architecture: all
Depends: ${misc:Depends}
Enhances: e17
Conflicts: enlightenment-data
Description: Enlightenment Window Manager Run Time Data Files
 Enlightenment is an advanced window manager for X11. Unique
 features include: a fully animated background, nice drop shadows
 around windows, backed by an extremely clean and optimized
 foundation of APIs.
 .
 These are the architecture independent runtime support files for the
 Enlightenment DR17 Window Manager.

Package: e17-dev
Architecture: any
Section: devel
Depends: ${misc:Depends}, e17 (= ${binary:Version}), efl-dev
Description: Enlightenment headers, static libraries and documentation
 Enlightenment is an advanced window manager for X11. Unique
 features include: a fully animated background, nice drop shadows
 around windows, backed by an extremely clean and optimized
 foundation of APIs.
 .
 This package contains headers, static libraries and documentation for
 enlightenment.

Package: efl-dev
Architecture: any
Section: devel
Depends: ${misc:Depends}, libeet-dev (>= 1.0.1),
 libedje-dev (>= 0.9.93.49898), libefreet-dev (>= 0.5.0.49898),
 libecore-dev (>= 0.9.9.49898), libedbus-dev (>= 0.5.0.49898),
 libevas-dev (>= 0.9.9.49898), libeina-dev (>= 0.9.9.49898)
Description: EFL headers, static libraries and documentation
 Enlightenment is an advanced window manager for X11. Unique
 features include: a fully animated background, nice drop shadows
 around windows, backed by an extremely clean and optimized
 foundation of APIs.
 .
 This package contains headers, static libraries and documentation for
 the enlightenment foundation librairies.

Package: e17-dbg
Architecture: any
Section: debug
Depends: ${misc:Depends}, e17 (= ${binary:Version})
Priority: extra
Description: The Enlightenment DR17 Window Manager - debugging symbols
 Enlightenment is an advanced window manager for X11. Unique
 features include: a fully animated background, nice drop shadows
 around windows, backed by an extremely clean and optimized
 foundation of APIs
 .
 This package contains unstripped shared libraries. It is provided primarily
 to provide a backtrace with names in a debugger, this makes it somewhat
 easier to interpret core dumps. The libraries are installed in
 /usr/lib/debug and are automatically used by gdb.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/debhelper.mk

DEB_HOST_GNU_SYSTEM=$(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM)
DEB_HOST_GNU_CPU=$(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
SVN_RELEASE=$(shell grep -o ver-svn-.. configure.ac)
ARCH_PATH=$(DEB_HOST_GNU_SYSTEM)-$(DEB_HOST_GNU_CPU)-$(SVN_RELEASE)

install/e17-data::
	gzip -9 debian/tmp/usr/share/enlightenment/doc/*.txt
	rm debian/tmp/usr/share/enlightenment/COPYING

install/e17::
	sed "s/ARCH_PATH/$(ARCH_PATH)/" debian/e17.lintian-overrides.in > debian/e17.lintian-overrides

binary-predeb/e17::
	chmod 4755 debian/e17/usr/lib/enlightenment/utils/enlightenment_sys
	chmod 4755 debian/e17/usr/lib/enlightenment/modules/cpufreq/*/freqset

clean/e17::
	rm -f debian/e17.lintian-overrides

DEB_INSTALL_MANPAGES_e17 := $(DEB_SRCDIR)/debian/enlightenment.1 $(DEB_SRCDIR)/debian/enlightenment_*.1
DEB_CONFIGURE_EXTRA_FLAGS := --disable-rpath \
                             --disable-connman --disable-ofono --disable-exchange

## e17 0.16.999.55225

=== debian/changelog ===
e17 (0.16.999.55225-1) unstable; urgency=low

  * New upstream snapshot
    - Closes: #600323
  * debian/control: use architecture wildcards instead of listing architectures
  * debian/rules: fix the configure.ac version matching regexp
  * debian/control: remove useless virtual package efl-dev
  * Add patches/02_upgrade_notice.diff:
    - The binary format used by e17 for themes and background has changed.
      Display a notice when e17 starts to warn users that they may need to
      convert their theme and background files

 -- Albin Tonnerre <lutin@debian.org>  Sun, 03 Apr 2011 18:34:21 +0200

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Maintainer:  Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>
 Uploaders: Albin Tonnerre <lutin@debian.org>,
  Jan Lübbe <jluebbe@debian.org>
-Build-Depends: debhelper (>= 6), cdbs, libeet-dev (>= 1.0.1),
- libedje-dev (>= 0.9.93.49898), libefreet-dev (>= 0.5.0.49898),
- libecore-dev (>= 0.9.9.49898), libedbus-dev (>= 0.5.0.49898),
- libevas-dev (>= 0.9.9.49898), libeina-dev (>= 0.9.9.49898),
- libasound2-dev [!kfreebsd-amd64 !kfreebsd-i386 !hurd-i386], libxext-dev, libeet-bin, libpam0g-dev
+Build-Depends: debhelper (>= 6), cdbs, libeet-dev (>= 1.4.0~),
+ libedje-dev (>= 1.0.0~), libefreet-dev (>= 1.0.0~beta3),
+ libecore-dev (>= 1.0.0~), libedbus-dev (>= 1.0.0~),
+ libevas-dev (>= 1.0.0~), libeina-dev (>= 1.0.0~beta3),
+ libasound2-dev [linux-any], libxext-dev, libeet-bin, libpam0g-dev
 Standards-Version: 3.9.1
 Vcs-Git: git://git.debian.org/pkg-e/apps/e.git
 Vcs-Browser: http://git.debian.org/?p=pkg-e/apps/e.git
@@ -17,7 +17,7 @@
 Package: e17
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, e17-data (= ${source:Version}),
- libevas-svn-06-engine-software-x11, libedje-bin, dbus-x11
+ libevas1-engine-software-x11, libedje-bin, dbus-x11
 Conflicts: enlightenment
 Provides: x-window-manager
 Description: The Enlightenment DR17 Window Manager
@@ -45,7 +45,11 @@
 Package: e17-dev
 Architecture: any
 Section: devel
-Depends: ${misc:Depends}, e17 (= ${binary:Version}), efl-dev
+Depends: ${misc:Depends},
+ e17 (= ${binary:Version}), libeet-dev (>= 1.4.0~),
+ libedje-dev (>= 1.0.0~), libefreet-dev (>= 1.0.0~),
+ libecore-dev (>= 1.0.0~), libedbus-dev (>= 1.0.0~),
+ libevas-dev (>= 1.0.0~), libeina-dev (>= 1.0.0~)
 Description: Enlightenment headers, static libraries and documentation
  Enlightenment is an advanced window manager for X11. Unique
  features include: a fully animated background, nice drop shadows
@@ -54,22 +58,6 @@
  .
  This package contains headers, static libraries and documentation for
  enlightenment.
-
-Package: efl-dev
-Architecture: any
-Section: devel
-Depends: ${misc:Depends}, libeet-dev (>= 1.0.1),
- libedje-dev (>= 0.9.93.49898), libefreet-dev (>= 0.5.0.49898),
- libecore-dev (>= 0.9.9.49898), libedbus-dev (>= 0.5.0.49898),
- libevas-dev (>= 0.9.9.49898), libeina-dev (>= 0.9.9.49898)
-Description: EFL headers, static libraries and documentation
- Enlightenment is an advanced window manager for X11. Unique
- features include: a fully animated background, nice drop shadows
- around windows, backed by an extremely clean and optimized
- foundation of APIs.
- .
- This package contains headers, static libraries and documentation for
- the enlightenment foundation librairies.
 
 Package: e17-dbg
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 DEB_HOST_GNU_SYSTEM=$(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM)
 DEB_HOST_GNU_CPU=$(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
-SVN_RELEASE=$(shell grep -o ver-svn-.. configure.ac)
+SVN_RELEASE=$(shell grep -oE 'ver-(pre-)?svn-..' configure.ac)
 ARCH_PATH=$(DEB_HOST_GNU_SYSTEM)-$(DEB_HOST_GNU_CPU)-$(SVN_RELEASE)
 
 install/e17-data::

## e17 0.16.999.70492

=== debian/changelog ===
e17 (0.16.999.70492-2) unstable; urgency=low

  * debian/control: bump Standards-Version to 3.9.3
  * debian/control: reword e17{,-dbg} short description to make lintian happy
  * debian/e17.lintian-overrides: remove override for files that no longer exist
  * Add debian/patches/02_e_alert_path_max.
      - Fix FTBFS on Hurd: include config.h to get PATH_MAX (Closes: #535775)

 -- Albin Tonnerre <lutin@debian.org>  Sat, 26 May 2012 17:40:36 +0200

e17 (0.16.999.70492-1) unstable; urgency=low

  * New upstream snapshot
  * drop patches/02_upgrade_notice: it should no longer be needed
  * drop patches/03_bind_XF86PowerOff_instead_of_Execute: applied upstream
  * patches/04_evry_fix_default_path_for_terminal: follow upstream changes
  * debian/control: add Build-Dep on libxcb-shape0-dev for the alert module
  * debian/e17.install: update following upstream removals/additions

 -- Albin Tonnerre <lutin@debian.org>  Sun, 13 May 2012 20:43:33 +0200

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,12 @@
 Uploaders: Albin Tonnerre <lutin@debian.org>,
  Jan Lübbe <jluebbe@debian.org>
 Build-Depends: debhelper (>= 6), cdbs, libeet-dev (>= 1.4.0~),
- libedje-dev (>= 1.0.0~), libefreet-dev (>= 1.0.0~beta3),
- libecore-dev (>= 1.0.0~), libedbus-dev (>= 1.0.0~),
- libevas-dev (>= 1.0.0~), libeina-dev (>= 1.0.0~beta3),
- libasound2-dev [linux-any], libxext-dev, libeet-bin, libpam0g-dev
-Standards-Version: 3.9.1
+ libedje-dev (>= 1.2.0), libefreet-dev (>= 1.2.0),
+ libecore-dev (>= 1.2.0), libedbus-dev (>= 1.2.0),
+ libevas-dev (>= 1.2.0), libeina-dev (>= 1.0.0~beta3),
+ libasound2-dev [linux-any], libxext-dev, libeet-bin, libpam0g-dev,
+ libxcb-shape0-dev
+Standards-Version: 3.9.3
 Vcs-Git: git://git.debian.org/pkg-e/apps/e.git
 Vcs-Browser: http://git.debian.org/?p=pkg-e/apps/e.git
 Homepage: http://www.enlightenment.org
@@ -20,7 +21,7 @@
  libevas1-engine-software-x11, libedje-bin, dbus-x11
 Conflicts: enlightenment
 Provides: x-window-manager
-Description: The Enlightenment DR17 Window Manager
+Description: Enlightenment DR17 Window Manager
  Enlightenment is an advanced window manager for X11. Unique
  features include: a fully animated background, nice drop shadows
  around windows, backed by an extremely clean and optimized
@@ -47,9 +48,9 @@
 Section: devel
 Depends: ${misc:Depends},
  e17 (= ${binary:Version}), libeet-dev (>= 1.4.0~),
- libedje-dev (>= 1.0.0~), libefreet-dev (>= 1.0.0~),
- libecore-dev (>= 1.0.0~), libedbus-dev (>= 1.0.0~),
- libevas-dev (>= 1.0.0~), libeina-dev (>= 1.0.0~)
+ libedje-dev (>= 1.2.0), libefreet-dev (>= 1.2.0),
+ libecore-dev (>= 1.2.0), libedbus-dev (>= 1.2.0),
+ libevas-dev (>= 1.2.0), libeina-dev (>= 1.0.0~)
 Description: Enlightenment headers, static libraries and documentation
  Enlightenment is an advanced window manager for X11. Unique
  features include: a fully animated background, nice drop shadows
@@ -64,7 +65,7 @@
 Section: debug
 Depends: ${misc:Depends}, e17 (= ${binary:Version})
 Priority: extra
-Description: The Enlightenment DR17 Window Manager - debugging symbols
+Description: Enlightenment DR17 Window Manager - debugging symbols
  Enlightenment is an advanced window manager for X11. Unique
  features include: a fully animated background, nice drop shadows
  around windows, backed by an extremely clean and optimized

=== debian/watch ===
version=3
opts=filenamemangle=s/enlightenment-(.*)/e17-$1\.tar\.gz/ \
http://download.enlightenment.org/snapshots/LATEST/enlightenment-(.*)\.tar\.gz

## e17 0.17.3

=== debian/changelog ===
e17 (0.17.3-3) unstable; urgency=medium

  * debian: switch to a .manpages file to install manpages instead of using CDBS
  * debian: switch from CDBS to dh
  * debian: use dh-autoreconf to get recent autotools version (Closes: #738272)
  * debian/rules: make sure we build using the hardening flags
  * patches/00_e_sys_env_cleanup: backport security fixes (Closes: #737705)

 -- Albin Tonnerre <lutin@debian.org>  Sun, 09 Feb 2014 16:35:48 +0100

e17 (0.17.3-2) unstable; urgency=low

  * patches/02_kfreebsd_no_ptrace: fix FTBFS on KFreeBSD (Closes: #712931)
  * patches/03_test_pt_getsiginfo: test for PT_GETSIGINFO, fixes FTBFS on Hurd
  * debian/rules: avoid timestamps in gzipped documentation (Closes: #724340)

 -- Albin Tonnerre <lutin@debian.org>  Sat, 02 Nov 2013 14:41:07 +0100

e17 (0.17.3-1) unstable; urgency=low

  * New upstream release
  * debian/control: update Build-Depends to use EFL 1.7.7
  * debian/control: update URI in the VCS-* fields
  * debian/watch: track releases instead of snapshots (Closes: #717507)
  * debian/control: add Recommends: pm-utils to get suspend support
  * patches/01_sysaction_pm_utils: use pm-utils for suspend (Closes: #538091)

 -- Albin Tonnerre <lutin@debian.org>  Sat, 03 Aug 2013 12:14:52 +0200

e17 (0.17.1-2) unstable; urgency=low

  * debian/NEWS: document the release configuration file format change
  * debian/control: add missing dependency on libedje-bin
  * Upload to unstable

 -- Albin Tonnerre <lutin@debian.org>  Sat, 11 May 2013 14:26:39 +0200

e17 (0.17.1-1) experimental; urgency=low

  * New upstream release
  * Update build-deps to use the latest version of EFL
  * Add new necessary Build-Dep on libeio
  * Add B-D on libxcb-keysyms1-dev for the alert module
  * Use the upstream-provided menu file instead of our own
  * drop patches/02_e_alert_path_max, merged upstream
  * Refresh patches/04_evry_fix_default_path_for_terminal
  * debian/rules: stop using configure options removed upstream
  * Stop trying to install files that were removed upstream
  * Install new binaries enlightenment_open and enlightenment_filemanager
  * debian/rules: update rule to extract the module path from configure.ac

 -- Albin Tonnerre <lutin@debian.org>  Sat, 02 Feb 2013 12:29:24 +0100

=== debian/control ===
--- 
+++ 
@@ -4,21 +4,23 @@
 Maintainer:  Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>
 Uploaders: Albin Tonnerre <lutin@debian.org>,
  Jan Lübbe <jluebbe@debian.org>
-Build-Depends: debhelper (>= 6), cdbs, libeet-dev (>= 1.4.0~),
- libedje-dev (>= 1.2.0), libefreet-dev (>= 1.2.0),
- libecore-dev (>= 1.2.0), libedbus-dev (>= 1.2.0),
- libevas-dev (>= 1.2.0), libeina-dev (>= 1.0.0~beta3),
+Build-Depends: debhelper (>= 9), dh-autoreconf,
+ libeet-dev (>= 1.7.7), libeio-dev (>= 1.7.7),
+ libedje-dev (>= 1.7.7), libefreet-dev (>= 1.7.7),
+ libecore-dev (>= 1.7.7), libedbus-dev (>= 1.7.7),
+ libevas-dev (>= 1.7.7), libeina-dev (>= 1.0.0~beta3),
  libasound2-dev [linux-any], libxext-dev, libeet-bin, libpam0g-dev,
- libxcb-shape0-dev
+ libxcb-shape0-dev, libxcb-keysyms1-dev, libedje-bin (>= 1.7.7)
 Standards-Version: 3.9.3
-Vcs-Git: git://git.debian.org/pkg-e/apps/e.git
-Vcs-Browser: http://git.debian.org/?p=pkg-e/apps/e.git
+Vcs-Git: git://anonscm.debian.org/pkg-e/apps/e.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-e/apps/e.git
 Homepage: http://www.enlightenment.org
 
 Package: e17
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, e17-data (= ${source:Version}),
  libevas1-engine-software-x11, libedje-bin, dbus-x11
+Recommends: pm-utils
 Conflicts: enlightenment
 Provides: x-window-manager
 Description: Enlightenment DR17 Window Manager
@@ -46,11 +48,11 @@
 Package: e17-dev
 Architecture: any
 Section: devel
-Depends: ${misc:Depends},
- e17 (= ${binary:Version}), libeet-dev (>= 1.4.0~),
- libedje-dev (>= 1.2.0), libefreet-dev (>= 1.2.0),
- libecore-dev (>= 1.2.0), libedbus-dev (>= 1.2.0),
- libevas-dev (>= 1.2.0), libeina-dev (>= 1.0.0~)
+Depends: ${misc:Depends}, e17 (= ${binary:Version}),
+ libeet-dev (>= 1.7.7), libeio-dev (>= 1.7.7),
+ libedje-dev (>= 1.7.7), libefreet-dev (>= 1.7.7),
+ libecore-dev (>= 1.7.7), libedbus-dev (>= 1.7.7),
+ libevas-dev (>= 1.7.7), libeina-dev (>= 1.7.7)
 Description: Enlightenment headers, static libraries and documentation
  Enlightenment is an advanced window manager for X11. Unique
  features include: a fully animated background, nice drop shadows

=== debian/rules ===
#!/usr/bin/make -f

CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

export CPPFLAGS
export CFLAGS
export LDFLAGS

DEB_HOST_GNU_SYSTEM=$(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM)
DEB_HOST_GNU_CPU=$(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
SVN_RELEASE=$(shell grep '^release=' configure | cut -d'=' -f2-)
ARCH_PATH=$(DEB_HOST_GNU_SYSTEM)-$(DEB_HOST_GNU_CPU)-$(SVN_RELEASE)

%:
	dh $@ --parallel --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- \
	--disable-rpath \
	--disable-connman

override_dh_lintian:
	sed "s/ARCH_PATH/$(ARCH_PATH)/" debian/e17.lintian-overrides.in > debian/e17.lintian-overrides
	dh_lintian

override_dh_install:
	gzip -9n debian/tmp/usr/share/enlightenment/doc/*.txt
	rm debian/tmp/usr/share/enlightenment/COPYING
	dh_install

override_dh_fixperms:
	dh_fixperms
	chmod 4755 debian/e17/usr/lib/enlightenment/utils/enlightenment_sys
	chmod 4755 debian/e17/usr/lib/enlightenment/modules/cpufreq/*/freqset

override_dh_clean:
	dh_clean
	rm -f debian/e17.lintian-overrides

=== debian/watch ===
version=3
opts=filenamemangle=s/enlightenment-(.*).tar.gz/e17-$1\.tar\.gz/ \
http://download.enlightenment.org/releases/enlightenment-(.*)\.tar\.gz

## e17 0.17.6

=== debian/changelog ===
e17 (0.17.6-1.1) unstable; urgency=medium

  * Non-maintainer upload
  * debian/rules: override dh_fixperms only for arch-dependent packages.
    Thanks to Santiago Vila.  (Closes: #806019)

 -- Ross Vandegrift <ross@kallisti.us>  Sat, 06 Aug 2016 10:32:54 -0400

e17 (0.17.6-1) unstable; urgency=medium

  * New upstream version
  * debian/control: update Build-Depends to use EFL 1.7.10
  * debian/control: eeze only exists on Linux architectures (Closes: #748058)
  * debian/patches: drop e_sys_env_cleanup+kfreebsd_no_ptrace, applied upstream

 -- Albin Tonnerre <lutin@debian.org>  Sun, 01 Jun 2014 20:28:41 +0200

e17 (0.17.3-4) unstable; urgency=medium

  * debian/control: refactor the list of deps/builddeps to make it more readable
  * debian/control: add Build-Depends on libeeze-dev, now provided by EFL 1.8

 -- Albin Tonnerre <lutin@debian.org>  Sun, 04 May 2014 20:20:13 +0200

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,18 @@
 Uploaders: Albin Tonnerre <lutin@debian.org>,
  Jan Lübbe <jluebbe@debian.org>
 Build-Depends: debhelper (>= 9), dh-autoreconf,
- libeet-dev (>= 1.7.7), libeio-dev (>= 1.7.7),
- libedje-dev (>= 1.7.7), libefreet-dev (>= 1.7.7),
- libecore-dev (>= 1.7.7), libedbus-dev (>= 1.7.7),
- libevas-dev (>= 1.7.7), libeina-dev (>= 1.0.0~beta3),
+ libeina-dev   (>= 1.7.10),
+ libeet-dev    (>= 1.7.10),
+ libevas-dev   (>= 1.7.10),
+ libecore-dev  (>= 1.7.10),
+ libefreet-dev (>= 1.7.10),
+ libedje-dev   (>= 1.7.10),
+ libedbus-dev  (>= 1.7.10),
+ libeeze-dev   (>= 1.7.10) [linux-any],
+ libeio-dev    (>= 1.7.10),
+ libedje-bin   (>= 1.7.10),
  libasound2-dev [linux-any], libxext-dev, libeet-bin, libpam0g-dev,
- libxcb-shape0-dev, libxcb-keysyms1-dev, libedje-bin (>= 1.7.7)
+ libxcb-shape0-dev, libxcb-keysyms1-dev
 Standards-Version: 3.9.3
 Vcs-Git: git://anonscm.debian.org/pkg-e/apps/e.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-e/apps/e.git
@@ -49,10 +55,15 @@
 Architecture: any
 Section: devel
 Depends: ${misc:Depends}, e17 (= ${binary:Version}),
- libeet-dev (>= 1.7.7), libeio-dev (>= 1.7.7),
- libedje-dev (>= 1.7.7), libefreet-dev (>= 1.7.7),
- libecore-dev (>= 1.7.7), libedbus-dev (>= 1.7.7),
- libevas-dev (>= 1.7.7), libeina-dev (>= 1.7.7)
+ libeina-dev    (>= 1.7.10),
+ libeet-dev     (>= 1.7.10),
+ libevas-dev    (>= 1.7.10),
+ libecore-dev   (>= 1.7.10),
+ libefreet-dev  (>= 1.7.10),
+ libedje-dev    (>= 1.7.10),
+ libedbus-dev   (>= 1.7.10),
+ libeeze-dev    (>= 1.7.10) [linux-any],
+ libeio-dev     (>= 1.7.10)
 Description: Enlightenment headers, static libraries and documentation
  Enlightenment is an advanced window manager for X11. Unique
  features include: a fully animated background, nice drop shadows

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 ARCH_PATH=$(DEB_HOST_GNU_SYSTEM)-$(DEB_HOST_GNU_CPU)-$(SVN_RELEASE)
 
 %:
-	dh $@ --parallel --with autoreconf
+	dh $@ --with autoreconf
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
@@ -30,7 +30,7 @@
 	rm debian/tmp/usr/share/enlightenment/COPYING
 	dh_install
 
-override_dh_fixperms:
+override_dh_fixperms-arch:
 	dh_fixperms
 	chmod 4755 debian/e17/usr/lib/enlightenment/utils/enlightenment_sys
 	chmod 4755 debian/e17/usr/lib/enlightenment/modules/cpufreq/*/freqset

## e17 0.22.1

=== debian/changelog ===
e17 (0.22.1-3~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 27 Apr 2018 16:30:19 -0700

e17 (0.22.1-3) unstable; urgency=medium

  * Update Vcs URLs for alioth -> salsa transition
  * Update gbp.conf for debian sid branch
  * Upload to unstable

 -- Ross Vandegrift <ross@kallisti.us>  Wed, 28 Mar 2018 10:12:20 -0700

e17 (0.22.1-2) experimental; urgency=medium

  * Team upload.
  * Copy fake_home.sh from efl and run dh_auto_build under it. edje_cc needs a
    writeable HOME. Closes: #883833

 -- Andreas Metzler <ametzler@debian.org>  Fri, 08 Dec 2017 08:01:08 +0100

e17 (0.22.1-1) experimental; urgency=medium

  * New upstream release
  * d/control: Add myself to uploaders
  * d/enlightenment.lintian-overrides.in: suppress warnings for image the
    vkbd image files that upstream locates with the module in /usr/lib.

 -- Ross Vandegrift <ross@kallisti.us>  Sat, 02 Dec 2017 17:06:46 -0800

e17 (0.22.0-2) experimental; urgency=low

  * Team upload.
  * Fix debhelper 10 (previous version was missing a commit)
  * d/rules:
    + simplify lintian-overrides path generation
    + switch from autotools+make -> meson+ninja for build
    + switch to dh_missing
  * d/control:
    + Bump Standards-Version to 4.1.1
    + Set Rules-Requires-Root to disable building as root
  * Include vkbd module that was missing from 0.22.0-1
  * d/watch: use https in watch url

 -- Ross Vandegrift <ross@kallisti.us>  Sun, 19 Nov 2017 17:31:20 -0800

e17 (0.22.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release (Closes: #775369, #855436, #728423)

  [ Ross Vandegrift ]
  * Update gbp.conf for debian experimental branch
  * Update README.source for tarball-based workflow
  * Put enlightenment systemd unit in examples (Closes: #854698)
  * d/p/10_type_restore_LDFLAGS.diff: drop, applied upstream
  * debian/watch: fix handling of rc versions
  * debian/control: Enlightenment now requires EFL >= 1.20.5, so the
    libelementary-dev Build-Dep can be dropped.
  * Ship cpuclock_sysfs helper for new sysinfo module.
  * d/p/05_fix_enlightenment_remote_bashism.diff: fix bashism (Closes: #690719)
  * Add maintscript to handle renaming enlightenment-applications.menu ->
    e-applications.menu (Closes: #704185)
  * Recommend terminology | x-terminal-emulator (Closes: #848490)
  * Enable connman module support (Closes: #593366)
  * Re-enable ALSA mixer support, it can now co-exist with pulse
  * Enable elocation support for geolocation
  * Switch to debhelper 10

 -- Ross Vandegrift <ross@kallisti.us>  Sun, 05 Nov 2017 10:10:52 -0800

e17 (0.21.5-1) experimental; urgency=medium

  [ Ross Vandegrift ]
  * Team upload.
  * New upstream release
  * debian/gbp.conf: import & build upstream tarballs
  * debian/rules: only set setuid perms when running binary-arch rules

  [ Andreas Metzler ]
  * 10_typo_restore_LDFLAGS.diff: Fix typo in configure.ac (upstream), causing
    empty LDFLAGS.

 -- Ross Vandegrift <ross@kallisti.us>  Sun, 18 Dec 2016 09:58:16 -0500

e17 (0.21.3-1) experimental; urgency=medium

  * Team upload.
  * New upstream release. (Closes: #836089)

  [ Ross Vandegrift ]
  * enlightenment_backlight needs to be setuid root for backlight control
  * Update dbus deps to use dbus-x11 or dbus-user-session (Closes: #836090)

  [ Nicolas Braud-Santoni ]
  * Use HTTPS for Vcs-* links
  * debian/control: Use HTTPS for the website

 -- Ross Vandegrift <ross@kallisti.us>  Sun, 27 Nov 2016 17:01:59 -0500

e17 (0.21.2-2) experimental; urgency=medium

  [ Ross Vandegrift ]
  * Non-maintainer upload.
  * Enable build hardening options
  * Bump Standards-Version to 3.9.8

 -- Ross Vandegrift <ross@kallisti.us>  Sun, 02 Oct 2016 14:27:55 -0400

e17 (0.21.2-1) UNRELEASED; urgency=medium

  [ Ross Vandegrift ]
  * Non-maintainer upload.
  * New upstream release

 -- Ross Vandegrift <ross@kallisti.us>  Sat, 13 Aug 2016 16:16:48 -0400

e17 (0.21.1-1) UNRELEASED; urgency=medium

  [ Ross Vandegrift ]
  * Non-maintainer upload.
  * New upstream release

 -- Ross Vandegrift <ross@kallisti.us>  Sat, 13 Aug 2016 16:16:48 -0400

e17 (0.20.7-1) UNRELEASED; urgency=medium

  [ Ross Vandegrift ]
  * Non-maintainer upload.
  * New upstream release

 -- Ross Vandegrift <ross@kallisti.us>  Sat, 07 May 2016 13:44:33 -0400

e17 (0.20.6-1) UNRELEASED; urgency=medium

  * Non-maintainer upload.
  * New upstream release
  * Add gbp.conf and notes on usage in README.source

 -- Ross Vandegrift <ross@kallisti.us>  Sun, 27 Mar 2016 11:35:54 -0400

e17 (0.20.2-1) UNRELEASED; urgency=medium

  [ Ross Vandegrift ]
  * Non-maintainer upload.
  * New upstream release
  * Change transitional package sections to oldlibs

 -- Ross Vandegrift <ross@kallisti.us>  Fri, 01 Jan 2016 16:59:10 -0500

e17 (0.20.1-1) UNRELEASED; urgency=medium

  [ Ross Vandegrift ]
  * Non-maintainer upload.
  * New upstream release
  * patches/03_test_pt_getsiginfo.diff: defuzz
  * patches/04_evry_fix_default_path_for_terminal.diff: defuzz
  * Build-Depend on libecore-bin for eldbus-codegen
  * Build-Depends-Indep on doxygen
  * debian/rules: disable geolocation to build with EFL 1.15
  * Ship Illume documentation
  * Ship emixer
  * Ship additional upstream documentation

  [ Andreas Metzler ]
  * Drop Conflicts of enlightenment with itself and add transition packages
    for e17 and e17-data to make "apt full-upgrade" work.
  * Do not introduce enlightenment-dbg package, automatic debug packages
    (ddeb) makes it unnecessary.

 -- Ross Vandegrift <ross@kallisti.us>  Sun, 20 Dec 2015 16:08:35 -0500

e17 (0.19.14-1) UNRELEASED; urgency=medium

  * Non-maintainer upload.
  * New upstream release

 -- Ross Vandegrift <ross@kallisti.us>  Sat, 12 Dec 2015 14:14:23 -0500

e17 (0.19.11-1) UNRELEASED; urgency=medium

  * Non-maintainer upload.
  * New upstream release
  * build-dep on libefl-all-dev
  * Enable parallel build
  * Bump Standards-Version to 3.9.6
  * Add systemd service file


=== debian/control ===
Source: e17
Section: x11
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>
Uploaders: Albin Tonnerre <lutin@debian.org>,
	   Jan Lübbe <jluebbe@debian.org>,
	   Ross Vandegrift <ross@kallisti.us>
Build-Depends: connman-dev,
	       debhelper (>= 10),
	       libasound2-dev,
	       libbluetooth-dev,
	       libecore-bin (>= 1.20.5),
	       libeet-bin,
	       libefl-all-dev (>= 1.20.5),
	       libpam0g-dev,
	       libxcb-keysyms1-dev,
	       libxcb-shape0-dev,
	       libxext-dev,
	       meson,
	       systemd
Build-Depends-Indep: doxygen
Standards-Version: 4.1.1
Vcs-Git: https://salsa.debian.org/pkg-e-team/e.git
Vcs-Browser: https://salsa.debian.org/pkg-e-team/e
Homepage: https://www.enlightenment.org
# Rules-Requires-Root: no

Package: enlightenment
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
	 default-dbus-session-bus | dbus-session-bus,
	 enlightenment-data (= ${source:Version}),
	 libedje-bin,
	 libevas1-engines-x
Recommends: pm-utils,
	    terminology | x-terminal-emulator
Provides: x-window-manager
Description: X11 window manager based on EFL
 Enlightenment is an advanced window manager for X11. Unique
 features include: a fully animated background, nice drop shadows
 around windows, backed by an extremely clean and optimized
 foundation of APIs.
 .
 This package contains the core files for Enlightenment.

Package: enlightenment-data
Architecture: all
Depends: ${misc:Depends}
Enhances: enlightenment
Conflicts: enlightenment-data
Description: X11 window manager based on EFL - run time data files
 Enlightenment is an advanced window manager for X11. Unique
 features include: a fully animated background, nice drop shadows
 around windows, backed by an extremely clean and optimized
 foundation of APIs.
 .
 These are the architecture independent runtime support files for the
 Enlightenment Window Manager.

Package: enlightenment-dev
Architecture: any
Section: devel
Depends: ${misc:Depends}, enlightenment (= ${binary:Version}),
	 libefl-all-dev (>= 1.20.5)
Description: Enlightenment headers, static libraries and documentation
 Enlightenment is an advanced window manager for X11. Unique
 features include: a fully animated background, nice drop shadows
 around windows, backed by an extremely clean and optimized
 foundation of APIs.
 .
 This package contains headers, static libraries and documentation for
 enlightenment.

Package: e17
Architecture: all
Section: oldlibs
Depends: enlightenment (>= ${source:Upstream-Version}), ${misc:Depends}
Description: transitional e17 package
 This is a transitional dummy package to ease the migration from e17
 to enlightenment.  You can safely remove this package.

Package: e17-data
Architecture: all
Section: oldlibs
Depends: enlightenment-data (>= ${source:Upstream-Version}), ${misc:Depends}
Description: transitional e17-data package
 This is a transitional dummy package to ease the migration from e17-data
 to enlightenment-data.  You can safely remove this package.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed
RELEASE=$(shell grep '^release' meson.build | cut -d'=' -f2- | xargs echo)
ARCH_PATH=$(DEB_HOST_GNU_SYSTEM)-$(DEB_HOST_GNU_CPU)-$(RELEASE)

%:
	dh $@ --without autoreconf --buildsystem=meson

override_dh_auto_configure:
	dh_auto_configure --verbose

override_dh_auto_build:
	$(CURDIR)/debian/fake_home.sh \
		dh_auto_build -O--buildsystem=meson --verbose

override_dh_lintian:
	sed -e "s/MULTIARCH/$(DEB_TARGET_MULTIARCH)/" \
		-e "s/ARCH_PATH/$(ARCH_PATH)/" \
		debian/enlightenment.lintian-overrides.in > debian/enlightenment.lintian-overrides
	dh_lintian

override_dh_install:
	gzip -9n debian/tmp/usr/share/enlightenment/doc/*.txt
	rm debian/tmp/usr/share/enlightenment/COPYING
	rm debian/tmp/usr/share/enlightenment/AUTHORS
	rm debian/tmp/usr/lib/systemd/user/enlightenment.service
	dh_install

override_dh_missing:
	dh_missing --fail-missing

override_dh_fixperms-arch:
	dh_fixperms
	chmod 4755 debian/enlightenment/usr/lib/*/enlightenment/utils/enlightenment_sys
	chmod 4755 debian/enlightenment/usr/lib/*/enlightenment/modules/cpufreq/*/freqset
	chmod 4755 debian/enlightenment/usr/lib/*/enlightenment/utils/enlightenment_backlight

override_dh_clean:
	dh_clean
	rm -f debian/enlightenment.lintian-overrides

## e17 0.22.3

=== debian/changelog ===
e17 (0.22.3-2) unstable; urgency=medium

  * Upload to unstable

 -- Ross Vandegrift <ross@kallisti.us>  Thu, 21 Jun 2018 19:43:08 -0700

e17 (0.22.3-1) experimental; urgency=low

  * New upstream release.
  * Screenlock/unlock now uses SUID enlightenment_ckpasswd helper binary. Add
    lintian override.
    3c4e25360eb65d0bc9dbfbc2d697898d5b42280d
  * Move license texts to the end of debian/copyright.
    global-files-wildcard-not-first-paragraph-in-dep5-copyright
  * Add missing patch descriptions.
  * Add myself to uploaders.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 16 Jun 2018 14:34:48 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: e17
 Section: x11
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>
+Maintainer: Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>
 Uploaders: Albin Tonnerre <lutin@debian.org>,
 	   Jan Lübbe <jluebbe@debian.org>,
-	   Ross Vandegrift <ross@kallisti.us>
+	   Ross Vandegrift <ross@kallisti.us>,
+	   Andreas Metzler <ametzler@debian.org>
 Build-Depends: connman-dev,
 	       debhelper (>= 10),
 	       libasound2-dev,
@@ -20,11 +20,11 @@
 	       meson,
 	       systemd
 Build-Depends-Indep: doxygen
-Standards-Version: 4.1.1
+Standards-Version: 4.1.4
 Vcs-Git: https://salsa.debian.org/pkg-e-team/e.git
 Vcs-Browser: https://salsa.debian.org/pkg-e-team/e
 Homepage: https://www.enlightenment.org
-# Rules-Requires-Root: no
+Rules-Requires-Root: no
 
 Package: enlightenment
 Architecture: any
